/*
  * JBoss, Home of Professional Open Source
  * Copyright 2005, JBoss Inc., and individual contributors as indicated
  * by the @authors tag. See the copyright.txt in the distribution for a
  * full listing of individual contributors.
  *
  * This is free software; you can redistribute it and/or modify it
  * under the terms of the GNU Lesser General Public License as
  * published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This software is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this software; if not, write to the Free
  * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
  */
package org.jboss.test.messaging.core;

import java.util.HashSet;
import java.util.Set;

import org.jboss.messaging.core.impl.RotatingID;
import org.jboss.test.messaging.MessagingTestCase;

/**
 *
 * A RotatingIDTest
 *
 * @author <a href="mailto:tim.fox@jboss.com">Tim Fox</a>
 *
 */
public class RotatingIDTest extends MessagingTestCase
{
   // Constants -----------------------------------------------------

   // Static --------------------------------------------------------

   // Attributes ----------------------------------------------------

   // Constructors --------------------------------------------------

   public RotatingIDTest(String name)
   {
      super(name);
   }

   // Public --------------------------------------------------------

   public void testRotatingID() throws Exception
   {
      final int NUM_ITERS = 1000;

      Set<Long> ids = new HashSet<Long>(NUM_ITERS);

      RotatingID id = new RotatingID(63);

      for (int i = 0; i < NUM_ITERS; i++)
      {
         long l = id.getID();

         if (ids.contains(l))
         {
            fail("Already produced id " + l);
         }

         ids.add(l);

         System.out.println(l);
      }
   }


   // Package protected ---------------------------------------------

   // Protected -----------------------------------------------------

   // Private -------------------------------------------------------

   // Inner classes -------------------------------------------------

}

